version: "3"

services:
  integration:
    container_name: customer-integration
    image: golang:1
    volumes:
      - ../..:/app:ro,z
    working_dir: /app
    command: go test ./tests/integration/...
    environment:
      - CUSTOMER_SERVICE=customer-service:8000
    networks:
      - test_test

networks:
  test_test:
    external: true
